Welcome

 Top Next

Screenshot Captor v2.44.01, November 3rd, 2008

http://www.donationcoder.com

Screenshot Captor is a program for taking screenshots on your computer. It's different from other screenshot utilis in several notable ways:

· Optimized for taking lots of screenshots with minimal intervention - super efficient workflow.
· Smart autonaming of files, and ability to embed textual comments in files; automatic image file versioning - with tons of options for automatically naming the file and inserting comments.
· Great multi-monitor support.
· Highly configurable to make it work the way you want it to; stays out of your way in the system tray.
· Lots of capture modes: Multimon, Desktop, Active Window, Region, Windows Object. Each mode has a hotkey for quick access.
· Unique Cool Effects, including automatic active window enhancement (see picture below).
· Unsurpassed support for 3rd party user configurable tools, including file browsers and image editors; extend the program to do whatever you need b interfacing it with other programs.
· Slimline sidebar file browser provides full shell operations, with special quick MoveTo menu.
· Optional automatic image file versioning.
· Seamless integration with Unicode Image Maker tool.
· Autoscroll capture for windows too big for screen, and windows object capture for menus, toolbars, and buttons.
· Deluxe thumbnail maker.
· Quick Email sending menu using smtp or mapi (remembers who you sent to so you can send to them again super easy).

NOTE: The screenshots used in this help file were taken with Screenshot Captor - of course!


Understanding the Screenshot Captor Approach

 Top Previous Next

Screenshot Captor works a little differently than many other screenshot taking applications.

It is designed for power users, and while it is not hard to learn how to use, it will not hold your hand through taking a single screenshot and you may find other programs are more suitable for very casual users.

How is Screenshot Captor different than other screenshot programs?

· Screenshot Captor is designed to make it very easy for you to capture many images with minimal intervention - and then helping you to manage your pictures later, modifying the ones you want to keep, or discarding those you don't.
· Screenshot Captor has some nice object editing tools for adding arrows and captions and objects. It preserves object data so that you can reposition and adjust objects later.


Tutorial: Getting Started

A quick tutorial on your first use:

1. Start Screenshot Captor and press the close button to minimize it to the system tray if it's not already configured to do so.
2. You should see a blue monitor icon in your tray letting you know it's running and ready.
3. By default Screenshot Captor is configured to capture the entire screen when you hit the PrtScr button, so do that.
4. You should hear a capture sound and see the tray icon turn momentarily red.
5. Your screenshot has now been captured and saved to a file.
6. Take some more screenshots if you like. You can try alt+PrtScr to capture only the currently active window, or right-click on the tray icon to select additional capture modes.
7. Each time you capture an image it is saved to a file.
8. Double click the tray icon to bring up the full Screenshot Captor interface. Your screenshots will be shown as thumbnails on the left panel, with the last screenshot taken already selected and displayed.
9. From here you can easily select a region and crop your images, add effects and comments, and then save the images someplace permanent (or drag and drop from the thumbnail display to someplace more permanent, or copy and paste the image to the clipboard).


Tutorial: Nice Forum Posts

Screenshot Captor has some features designed to help you very quickly format pictures for posting on the web:

In one step go from:

To:

1. Take your screenshots as normal
2. Select the region you are interested in and hit the quick Thumbnail button [ [image]], or selecte the File->Create Thumbnail menu.
3. Screenshot Captor will now: Crop your image, Resize it if it's too big, put a nice border and shadow around it, save it under a new name, and copy the path of the new image to the clipboard.
4. It copies the file path to the clipboard to make it easy for you to paste it into an upload file form; you could also configure a 3rd party ftp, email, or image posting tool to use instead.
5. You can customize the resizing, borders, shadows and effects from the File -> Create Thumbnail menu.

Thumbnail settings to produce above effect:


Tutorial: Arrows and Labels

One of the most common things people do with screenshots is add arrows, labels, and annotations. This tutorial will walk you through a simple example and show you how to use the object editing tools.

Take a screenshot as normal and select it.

The object editing tools are located at the bottom of the right-hand toolbar:

To add an arrow or text box or highlight region, just click on that tool, and draw the object on top of the screenshot.

A new panel will pop up when you select an object tool, allowing you to customize the parameters of the object and fill in any appropriate values:

Notice that the arrow tool button is pushed down, and the white cursor now has a red O on top of it - this let's you know you are in object mode.

If you ever want to adjust the position or parameters of an object, toggle the top white arrow to switch in an and of object editing mode.

When in object editing mode you can select and move objects.

When you draw an object, you can automatically have text displayed at the arrow's end - just fill it in the "Endpoint Text" edit box.

All objects have a transparency setting that let's you specify how much transparency the object has.

By default, after you add one object or text box, you will switch into object editing mode. If you want to draw many arrows at once you can find options for this in the preferences dialog.


The New Post Capture PopUp Dialog

Starting in Version 2.20.0 you can now have Screenshot Captor display a quick PopUp Dialog after you perform a screenshot:

This resizable dialog will let you quickly preview screenshots and decide whether to save, discard, print, perform clipboard operations, and more without ever opening up the main Screenshot Captor Window.

You select to display the popup dialog either from the tray menu near top, or options dialog on the On Capture tab.

You can of course just hit the LETTER corresponding to your choice rather than using the mouse to click buttons.


Ways to Trigger a Capture

There are lot's of different capture modes available in Screenshot Captor, and lot's of different ways to initiate a capture.

Which methods you use will depend both on your style of working, and the kind of thing you want to capture.

Ways to trigger captures:

The easiest way to capture an image is to use a global hotkey. By default, Screenshot Captor uses the PrtScr key in the upper right of your keyboard to trigger a capture of the current screen - so just press that to capture an image.

You can customize global hotkeys in two different ways from the hotkey configuration screen; the first is to assign actions to the default PrtScr hotkeys, and the other way is to specify your own custom hotkeys:

Start a Capture from the Menu:

You can also trigger a capture from the Capture menu of the main program screen:

OR from the right-click pop-up menu from the tray icon:

A nice feature about the menus is that they also list the global hotkeys for each capture mode as a quick reminder.


Capture Functions and Modes

A brief description of various capture functions and modes and when to use each

Grab Screenshot of entire Workspace

Takes a screenshot of entire workspace in a multi-monitor scenerio.

Note: If in a single-monitor scenerio then it will capture the current screen.

Grab Screenshot of current Screen

Takes a screenshot of the "current" screen.

If in a multi-monitor scenerio then it will capture the screen where the currently active window is.

Grab Screenshot of Active window

Captures the active window (application) if one is active, ot the entire screen if there is no currently active window. Very useful for quickly grabbing an image of a program.

Grab Screenshot of selected Region-

Allows you to select a square or rectangle area of the screen to capture. By default this is performed in the new RedBox mode which lets you resize the region before capturing, but you can turn this off for a slightly faster and less flexible region capture more.

Grab Screenshot of Fixed size region-

Allows you to capture a fixed region, which is specified in the HotKeys tab in the Preferences. Useful if you do a lot of repeat capturing of a fixed size.

Grab Screenshot of windows Object or Scrolling Window

Allows you to capture windows objects like toolbars, panels, windows. Also used for scrolling window capturing for programs like internet browsers where the contents are too large to fit all on one screen.

Grab Screenshot Repeat Last Size+Pos

When this is selected it will be a screenshot of the last region and selected size on the screen. Useful for repeat captuing of a fixed area.

Capture Image of Screenshot Captor Window

Should not be any question as to what this does, but when this is selected it will capture the Screenshot Captor window - useful if you want to show someone an image of your current Screenshot Captor.


Extra Capture Options

Capture Mode Options available in system tray menu and Preferences dialog:

Use Delay

If checked Screenshot Captor will use a delay with all of the screenshots you capture until this menu item is unchecked.

Note: Set delay in Screenshot Captor Options under Before Capture. The value is in milliseconds so for every 1 second you would add 1000. (e.g. 1 second = 1000ms).

Capture Cursor

If checked Screenshot Captor will capture the mouse cursor with all of the screenshots you capture until this menu item unchecked.

Engage Auto Capture Timer

Repeatedly captures images until you stop it from menu.


Capturing Objects and Scrolling WIndows

Screenshot Captor includes special functions to help you capture windows, toolbars, menus, panels, and other so-called "Windows Objects."

The same function also provides the ability to capture the contents of "Scrolling" windows which are too big to fit on the screen - like in an internet browser.

The Windows Object Capture function in Screenshot Captor now uses a new interface called Red Box Capture mode.

Red Box Capture uses a special mouse and keyboard "hook" that allows it to outline the object to be captured in a red outline even as you continue to work in your application - showing you exactly what will be captured.

You can switch Red Box Capture operation between a "region" mode, where the outline can be moved and resized by your manually, and an "object" mode, where the outline follows your cursor around and selects the windows object (like menu, toolbar,window,panel) under the cursor at any time. Use Shift+Left Mouse Click to switch modes, or else just double click on the red+white text.

As you can see from the label, you can:

· Hit Ctrl+Left Mouse Click to capture the image (or use the Right Ctrl Key instead of using mouse)
· Hit Ctrl+Shift+Left Mouse Click to capture a Scrolling Window contents (or Shift+Right Ctrl Key). More about this in the next section.
· Hit Shift+Left Mouse Click to toggle between object and region mode.
· Or click on the Gear Button to bring up a menu with more options like preset region sizes, and text scraping (grabs text from an info panel).


More on Scrolling Window Capture

Properly capturing the contents of a scrolling window is not trivial. It may take some experimentation on your part to get a perfect capture.

Most of the time people use scrolling window contents capture to grab a web page which is too big to render in a window. In this case, you might also consider using a dedicated browser plugin for this task made by other companies. Such plugins may be found for Internet Explorer and FireFox.

To capture a scrolling window, first Select the Windows Object capture mode:

You should then see the Red Box Capture outline appear on the screen, and follow your cursor around as you hover over windows.

Move to the background of the window you wish to capture:

IMPORTANT:

If you are trying to capture a web page, make sure that before you engage a capture, click your mouse somewhere on the background of the page - and not in an input field. This is very important because for some scrolling window captures the program needs to send key presses to scroll the window, and if an input field is the focus of the web page the page won't be scrolled.

To being the scrolling capture, hold the Ctrl+Shift Key while clicking the mouse, or hold the shift key and press the Right Ctrl Key. Sometimes pressing the mouse can mess up the program so the Right Ctrl Key alternative can come in handy.

If all goes well, you should see the window flicker and scroll for a bit while ScreenShot Captor attempts to figure out the size of the contents and then do the actual capture. It will capture both horizontal and vertically scrolling windows.

Capturing and stiching together the contents of a scrolling is complicated, and occassionally Screenshot Captor can get fooled into capturing the scrollbars or otherwise make mistakes about the proper boundries of the scrolling capture. To handle such cases there is an advanced feature called Scrolling Window Capture exceptions which is covered in the next section.

TRICK: You can use the right ctrl key instead of mouse click.


Scrolling Window Exception Settings

IMPORTANT: Scrolling Window Exception Settings are an advanced feature not for use by normal users.

They are available mainly for advanced experimenters to try to figure out special settings which can then be posted on our forum for others to copy and paste.

It lets you specify explicit margins for scrolling window captures which try to avoid scrollbars, and let's you tweak the method used to scroll windows.

The exception strings can be found in the Screenshot Captor Red Box Capture options tab. in the AutoScroll Capture Exceptions box:

Each line of this box contains an exception string; an Exception string takes this form:

CONTROLNAME;leftmargin;topmargin.rightmargin,bottommargin;SPECIALS

For example:

EditControl;19;4;0;4;blankstop

The CONTROLNAME can be found in the label of the Red Box Capture caption while you move over a window.

The leftmargin,topmargin,rightmargin,bottommargin values are pixel measurements from the given side, and are design to skip over scrollbars. So if you find that a scrolling capture is including the scrollbars erroneously when stiching an image, you would increase these values until the scrollbar is skipped.

SPECIALS can be empty or from:

bylines - scrolls by lines instead of pages; shouldn't be needed

sendkeys - send keys instead of windows messages to scoll; try this if Screenshot Captor doesn't seem to be able to scroll the window

blankstop - some applications dont refresh their contents in a way that Screenshot Captor can tell when scrolling is complete; try this if Screenshot Captor doesn't seem to be able to tell when to stop scrolling.


What if I don't want to keep the capture

Screenshot Captor works a little differently from most other screenshot grabbing tools in that it always saves each capture to disk.

This helps it reduce memory usage and insures that even if your computer crashes you never lose a screenshot.

But of course you will probably be deleting most of your screenshots, just like when you discard bad images you take with a digital camera.

You can delete the current image by simply hitting Ctrl+Q, or selecting delete from File or MoveTo menu.

If you want to delete multiple files at once, just select them in the thumbnail browser and choose delete from the MoveTo menu.

TIP: Screenshot Captor is designed to help you organize your screenshots rather than deleting them. We recommend creating a Junk directory and then adding that directory to the MoveTo menu to let you easily move files there. That way you can always change your mind, and clean out that directory when you want.


Navigating the Interface

The interface of Screenshot Captor can be a bit overwhelming at first, but after some brief use you will feel right at home:

· On the far left is the Thumbnail Browser Sidepanel.
· On the far right is the Zoom Bar Slider where you can quickly adjust the zoom magnification of the image (or use mouse wheel or keyboard shortcuts).
· Next to that is the Editing Toolbar.
· On the very bottom is the Status Bar Display.
· On the bottom left is the Zoom/Navigation Panel.
· On the bottom right is the File Name and Comments Panel.
· At the very top are some Quick Zoom Links.


The Main Image Window

In the center is the main image display.

· When working in the main image display you can use the mouse wheel to zoom in.
· Hold the LEFT mouse down to select regions (selections) for further processing (cropping, blurring).
· Hold the RIGHT mouse button down and drag to pan the image.


The Toolbar

The editing toolbar helps you do common things quickly, and is shown here:

Hovering over any of the buttons will show a hint about its function.

Save Now - Save any pending changes to current file.

Save As - Prompt for a new filename to save a copy of (you can change filename and directory).

Save New Version - Add a new version # to the file name and save a new file (preserves original file).

Create and Save Thumbnail - Applies File -> Create Thumbnail settings to create a new thumbnail with current settings, and saves as new file, and copies thumbnail filename to clipboard.

Print Image - Show print dialog to enable printing of current image.

Undo - Ignore the last operation.

Launch Graphic Editor - Launches any configured third party graphic editor (see configuration here).

Unselect All - Deselects any current selection.

Resize - Brings up quick resize menu.

Add Border - Adds one of many different border styles to the image.

Add Shadow - Adds a shadow to the image using current shadow options (see also help section on working with transparency).

Crop - Crops the image to the currently selected region.

Blur Inside Region - Blur, Diim, Grey anything inside the current region - useful for hiding info.

Blur Outside Region - Blur, Dim, Grey everything outside the currently selection region - useful for drawing attention to some info.

Object Editing Tools - See the help section on working with object.


The Quick Zoom Links and Zoom Slider

The Quick Zoom Links are designed to make it easier for you to set the zoom quickly:

AutoFit - Will always resize new images to FIT them.

Select - Will zoom so that the current selection is maximally zoomed but still completely visible.

Stretch - WIll zoom so that current image is maximally zoomed but still completely visible.

Fit - sets the zoom to maximum value that will make the image completely visible but will not go over 100% zoom.

The Zoom slider lets you quickly set a specific zoom factor:


The Navigation Panel

The navigation panel, located on the bottom left of the Screenshot Captor form, has two tabs:

The Zoom Tab, which shows a zoomed in view of the image with crosshairs on the exact pixel under the cursor. Good for fine selections and inspection.

And the Navigation Tab, which shows an overview of the entire image, with a box showing current zoomed view; click anywhere to jump there.

By default, Screenshot Captor is configured to auto switch between these two tabs, but you can adjust that on the General Options Dialog.

If you find the Navigation Panel too distracting, simply resize it fully to minimum width.


The Status Bar

The statusbar shows the name of the current file and some basic info:

It shows the size of the image [approximate file size] and current selection size.


The Thumbnail Sidebar Browser

Screenshot Captor displays a handy sidebar showing all the images in your Screenshot folder.

An important aspect of this sidebar is that it is fully functional file explorer - you can drag and drop images in and out of it, or right-click on images to perform shell operations.

Just select (single-click NOT double click) an image to load it into the display:

You can also choose from the View Menu to display a Details list of files docked to the top instead of the thumbnail browser:


The File Name and Comment Panel

The File Name/Comment area lets you (re)name your image files and embed textual comments in each image.

Although Screenshot Captor has a powerful way to automatically name screenshot images at the time of capture, you will often want to give screenshots custom names after you decide which ones you want to keep.

You'll notice two input fields and a little clipboard button.

In the first field is the name of the current file. It will be automatically filled in based on your filename template at the time of capture.

· At any time you may type in a new name for the screenshot file and hit enter, and the file will be RENAMED with the new filename (the original file extension will be kept).
· You can also actually change the file format as well from this interface, by specifying an explicit file extension, like mynewname.gif to delete the original file and save a new one in gif format.
· If you want to keep your original file, you should use the "Save As.." menu item in the File menu or on the toolbar [ [image]].
· To simply save a new version of the file quickly while preserving the original, use the "Save As New Version" menu item or toolbar button [ [image]].

Below the Filename field is a Comment text box where you can write comments that will be embedded in the image file.

· Press the clipboard button [ [image]] to copy the current image path to the clipboard.


The Main Menu

The main menu for Screenshot Captor is organized thusly:

The subsections of this help chapter will show you how to use all the functions in each of the menus.


File Menu

The File menu has various file saving items and the program exit item you would expect. But it also has some extra functions.

· Change Screenshot Directory - Change the screenshot directory (persists between runs).
· Explore at Screenshot Directory - Open the file browser at the current screenshot directory.
· Create New Folder Here - Creates a subfolder in the current screenshot directory.

· Save Image Changes Now - Save any pending changes to the image file.
· Save Copy of Image As - Let's you specify a new filename to save the file (you can also change format).
· Save+ New Version - Save the current image with any pending edits as a new file and load it (autonames the file with version# info).

· Create New Image File from Region - Select a region and select this option to create a new filename with the region image and load it for editing.
· Create New Image File from Clipboard Image - Any image currently on the clipboard image is saved as a new file and loaded for editing.
· Create New Blank Image File - Creates a new image with the current background color. The size is determined by the current image displayed.

· Create Thumbnail of Image/Region - Brings up the Thumbnail Dialog to let you create a thumbnail of the entire image or the selection region of the current image.

· Print Screenshot - Let's you print the current image.

· Add Image File as Object to Screenshot - Let's you specify an image from a file which will be added as a movable/resiable object to the current screenshot (normally you would use the Clipart objects collection for this).

· Discard All Changes to File Since Last Save - If you have made any changes to the image that have not been saved - they are abandoned.

· Exit - Exit the program.


Edit Menu

The Edit menu lets you manipulate, resize, select, and do other common operations on the current image.

· Undo - Undo the last operation (when possible).
· Redo - Undo the last undo :)

· Unselect - Unselect any current selection
· Invert Selection - Invert the current selection (that which is selected becomes unselected, and vice versa).

· Crop to Selection - Crop the image to the current selection.

· Select Active Window Region - Screenshot Captor tries to autodetect the active window when it takes a screenshot; this option will select this region.

· Select Preset Region Size.. - Brings up a menu letting you chose a preset common image size for your selection, which you can then move and resize.
· Resize Image.. - Brings up the Resize Image Dialog.

· Adjust Image to Current View - Makes image exactly what you can see in your window (i.e. the local zoom and pan); unusual operation.

· Copy File Path to Clipboard - Copies the full file path of the current image to the clipboard for use with subsequent operations.
· Copy Text to Clipboard - Copies the comment text for the image to the clipboard.
· Copy Image/Object to Clipboard - Copies the current image to the clipboard for pasting into another program.

· Paste Clipboard Image/Object as New Object - Paste any image or object on the clipboard as a floating moveable resizable object.

· Preferences - Bring up the Preferences/Configuration/Options Dialog.


Capture Menu

The Capture menu is just a convenient way to start some captures or remind yourself what the hotkeys are set to:

For more information see the Capturing Images section of the help file.


MoveTo Menu

The MoveTo menu is designed to help you quickly move images to your favorite folders, and also delete images in the Screenshot Captor directory that you no longer need:

The first two directories listed show the directories configured in your preferences; you can add any directories you want that you commonly use.

If you select some images and choose this item then those image files will be moved; if no images are selected then ALL images will be moved.

TIP: Hold down the Ctrl key while selecting a directory from the MoveTo menu to navigate to the directory instead of moving images to it.

If you select the "Move to.." menu you will be prompted with a directory to move the images to.

If you select the "Configure Move To Folder List.." you will go to the MoveTo tab of the preferences Dialog.


View Menu

The View menu lets you quickly set the zoom and choose between options for the thumbnail file list:

· Zoom to Selection - Zooms so that the currently selection region fills the view.
· View at 50% - Sets zoom to 50%.
· View at 100% - Sets zoom to 100%.
· View at 200% - Sets zoom to 200%.
· Fit View - Adjusts zoom so that the entire image can be seen in the window.

· Thumbnails - View thumbnails in left hand side.
· List - List filenames in left hand side (no thumbnails).
· Details - View complete file details at top dock instead of thumbnails (useful if you want to quickly see things like file size and dates).


SpecialFX Menu

The SpecialFX menu lets you apply some effects to your image to enhance regions.

· Border Around Image - Brings up the Border Dialog where you can apply a bunch of cool border effects.

· Highlight Around Selection - Creates a highlight box around the current selection (same as choosing highlight box button on toolbar).
· Enhance Selection - Blur Outside - Blurs all parts of the image outside of the current selection. Useful for drawing attention to a region.
· Enhance Selection - Grey Outside - Greyscales all parts of the image outside of the current selection.
· Enhance Selection - Dim Outside - Dims the brightness of all parts of the image outside of the current selection.
· Enhance Selection - Blur, Dim, Grey Outside - Applies blur, grey, and dim to all parts of the image outside of the current selection. A toolbar button exists for this.

· Blur Inside Selected Region - Blurs the currently selected region (very useful for hiding sensitive information in an image). A toolbar button exists for this.

· Adjust Colors and More.. - Brings up the Color and Transform Dialog.
· Adjust Color Depth and DPI.. - Brings up the Color Depth Dialog.

· Add Shadow to Entire Image - Adds a shadow to the current image. Shadow parameters are set in the main Effects Options Preference Tab.


Objects Menu

The Objects menu let's you perform operations on movable/resizable/transparency-adjustable objects:

· Add Caption to Image.. - Brings up the Caption Dialog to add a caption Object to the bottom or top of your image.

· Send Object Backward - Sends an object behind others in stacking order.
· Send Object Forward - Sends an object in front of others in stacking order.

· Edit/Insert Unicode Text Object - Launches Unicode Image Maker (if installed) to let you put an advanced text box (possibly with unicode text) as an object in your image.

· Delete Object - Delete the currently selected object.

· Expand Canvas to Fit Objects - Sometimes you create objects that extend past the border of the current image; this expands the canvas of the image to encompass all objects.
· Make Regions Around Objects - Creates a selected region around all object; useful for subsequently applying special effects like blurring.

· Merge Background Transparency - Screenshot Captor can store transparency information inside png files. Transparency effects are uses in shadows for example. Sometimes you do not want this (for example Internet Explorer 6 and lower doesn't support transparency). This operation will merge any transparency with the current background color of the canvas. More Info..
· Flatten All Objects to Background - Normally Screenshot Captor keeps track of all objects so that they can be moved and resized. But this can slow down manipulation and saving/loading of the image, and prevent operations like blurring from acting on object. This operation will permanently merge the objects into the image. After that they cannot be further manipulated.


Tools Menu

The Tools menu is purely for you to configure custom 3rd party tools that you might want to launch from Screenshot Captor.

Choose "Configure External Tools" to bring up the Configure External Tools Dialog.


Help Menu

The Help menu lets you bring up this help file or enter a new License Key:


General Settings

· Start with Windows - If checked then Screenshot Captor will always be started when you reboot your computer.
· Start Minimized - Minimize to the system tray on startup.
· Close to Tray - When you hit the close button the program minimized to the tray.

· Confirm on file replace - Sets default option when closing or switching images after having made changes (read more).
· Auto save changes - Automatically save any pending changes when switching images.
· Rename each save - Save as a new file name with version number.

· Smoothing - When you zoom in or out the magnification of the screenshot, you can choose to apply some smoothing. Here you can choose when and which algorithm to use to trade off speed for quality. If you have a very slow computer you might want to turn off smoothing.

· Image File Format - Choose the default image format to use.
· Compression Level - Choose the compression level for image formats that support it (jpg).

· Default Depth+DPI - Useful for printing especially.

· View Options, File Display - Same as view menu, chooses between thumbnails or details,.
· View Options, Thumbnail Size - Desired thumbnail size; autosize lets you resize the docked thumbnail width. Set manually and resize panel for 2-column display of thumbnails.
· View Options, Background - Choose background color of main window.
· View Options, Fast LoRes Moving - Turns off smoothing when moving the image - useful for slower computers or speed freaks.
· View Options, Prevent pageouts - Experimental - tries to keep program memory from being paged out, which can speed up use after prolonged delays, at the expensive of higher memory usage when minimized.

· File Loading, Reselect Active Region - Screeenshot Captor tries to keep track of the current active window region during captures, which is useful for highlighting and blurring. When switching images this says to auto reselect the active region. If you turn this off you can still tell the program to reselect the active window from the Edit menu.

· Navigation, Auto Switch Zoom+Nav - Chooses whether the Nav/Zoom panel will autoswitch at high/low magnifications (read more).

· Mouse Wheel, Speed - How fast moving the wheel affects zoom magnification.
· Mouse Wheel, Invert - Changes the relation between zoom and mouse wheel direction.

· Fast LoRes Moving - Image is not smoothed while panning, offers faster movement on slow pcs.
· Quick WakeUp / Prevent PageOuts - Program will not give up its working memory when minimized; results in more memory usage while minimized, but is faster to reactivate after long periods of disuse. Also keeps screenshot directory refreshed for fast access.


HotKeys

· Hotkeys, Standard - Here you can choose what actions will be performed when hitting PrtScr and various modifiers
· Hotkeys, Custom - Here you can set custom hotkeys for various actions or clear hotkeys.

· Capture Fixed Region Size - When you trigger a fixed size capture, this size will be used.


On Capture

· On Capture, Show Main Form - After a capture, should the main window be unminimized.
· On Capture, Stay Minimized - Or stay minimized in the tray.

· Before Capture, Delay - Delay before capture? For how long? (also accessible from tray menu).
· Before Capture, Hide Main Window - Hide the main window if it is visible, before triggering a capture, to get it out of the way.

· Copy Image to Clipboard - Copy the image to the clipboard after every capture?
· Copy File Path to Clipboard - Copy file path to clipboard after every capture?
· Launch Ext. Editor - Launch configured external image editor after every capture? (read more).
· Capture Cursor - Capture an image of the cursor when grabbing images?
· Play Capture Sound - Play a camera click sound on capture?
· Auto Select Active Window - Auto select the active window region on capture?
· Auto Zoom to Selection - Auto zoom in to active selection after capturing?
· Auto Print - Trigger a print of the image after every capture.
· Filename Balloon Tip - Show the filename in the system tray balloon text after every capture.

· Blur Outside Active Window - Auto apply this effect after capture.
· Grey Outside Active Window - Auto apply this effect after capture.
· Dim Outside Active Window - Auto apply this effect after capture.
· Add Border to Image - Auto apply this effect after capture.
· Add Drop Shadow to Image - Auto apply this effect after capture.

· Auto Capture Timer - Capture repeated images until stopped from the system tray.


RedBox Capture

· When to Use Red Box - There is an older object capture mode, you can select to use the newer Red Box mode in all cases, or only some cases if you prefer the old way.

· Red Box Mode - Whether to start up Red Box capture mode in object or region mode (you can switch easily; read more).
· Stay Open after Cap. - Useful for if you want to capture many objects in sequence.

· Caption Position - Where the caption of the Red Box Capture border is shown during capture.

· Outline Box Color - Change if you are capturing on a background which makes red hard to see.
· Font Color - Change if background demands.

· AutoScroll Capture Exceptions - For advanced users (read more).


Templates

Screenshot uses template variables to provide maximum flexibility in the way it intially automatically names screenshot capture files, and adds initial comments in screenshot files.

In the options dialog on the template tab you can provide the default templates for file names and comments:

You will also find on the main screen the following Filename QuickField text field:

The idea of the QuickField is to let you quickly set part of the name of a whole series of screenshots. The specific rules for using the Default Filename template and the Filename QuickField entry are as follows:

1. If the Default Filename template includes a %quickfield% entry, then the Default Filename template will be used for filenames, with the Quickfield parameter replaced.
2. Else if the Filename Quickfield entry contains %t% then the Filename Quickfield text is used for the filename, with Default Filename contents replaced inside of it.
3. Else if the Filename Quickfield is blank, then the Default Filename template from options is used.
4. Else the Fielname Quickfield is used and the Default Filename template from options is ignored.

ScreenshotCaptor wants to make it easy to custom name files just the way you want them. To do this it also includes a Custom Date Format string.

You can include a custom date string in comments or filename using the %customdate% field, and then configuring your custom date format in the bottom right.

Subfields for custom date are:

Auto sequence new file names to avoid overwriting old files (enabled by default) - uncheck this if you want new captures to automatically overwrite existing files.

New DateTime format strings can be embedded anywhere in file name:

· $dt:%DATEFORMATSTRING$ - where DATEFORMATSTRING is made up from the following:

%a Abbreviated weekday name

%A Full weekday name

%b Abbreviated month name

%B Full month name

%c Date and time representation appropriate for locale

%d Day of month as decimal number (01 – 31)

%H Hour in 24-hour format (00 – 23)

%I Hour in 12-hour format (01 – 12)

%j Day of year as decimal number (001 – 366)

%m Month as decimal number (01 – 12)

%M Minute as decimal number (00 – 59)

%p Current locale's A.M./P.M. indicator for 12-hour clock

%S Second as decimal number (00 – 59)

%U Week of year as decimal number, with Sunday as first day of week (00 – 53)

%w Weekday as decimal number (0 – 6; Sunday is 0)

%W Week of year as decimal number, with Monday as first day of week (00 – 53)

%x Date representation for current locale

%X Time representation for current locale

%y Year without century, as decimal number (00 – 99)

%Y Year with century, as decimal number

%z Time-zone name

%Z Time-zone abbreviation


Files+Folders

· Screenshot Folder - Current directory where screenshots are stored (and thumbnails displayed).
· Ext. Image Editor - Optionally configure an external graphics editor (triggered from toolbar button or editor).
· Ext File Explorer - Optionally configure a specific file explorer replacement (like ACDSee, ThumbsPlus, Directory Opus, etc.)
· Unicode Image Maker - Optionally configure the location of the Unicode Image Maker tool for use with Screenshot Captor.
· User Clipart Dir. - Optionally configure a special directory of your own clipart to make available in the clipart object selection tool.


Effects

· Shadows, Background - Shadow color used in all shadow tools.
· Shadows, Radius - Size of shadow.
· Shadows, Offsets - Direction of shadow.

· Default Image Bordering - Default border size and color.

· Enhancement Options, Feather Effects - Not currently used.
· Enhancement Options, Blur Radius - Strength of blurring when applied to inside or outside.
· Enhancement Options, Dimming Level - Strength of dimming when applying dimming effect.

· Background Transparency, Always flatten - See Transparency Help.
· Background Transparency, Flatten on Save As - See Transparency Help.


MoveTo Folders

The MoveTo menu shows a list of folders for quickly moving images to; this screen is where you can configure those folders to show.

You can drag and drop folders here, or use the folder button or right click to add, edit, or delete entries.


Objects

· Save as TIFF, preserve object editing - see Transparency help.
· Save in Original format, no more object editing - see Transparency help.
· Save in original format with External .object file - see Transparency help.

· Always Ask - see Transparency help.
· Always save objects during Save As.. - see Transparency help.

· Switch to Object Selection mode after a new object is inserted - If you have to draw lots of arrows or place lots of objects, you might want to change the default behavior and UNCHECK the program from switch into object selection mode after adding a new object.
· Highlight current selection when switching to highlight mode - Lets you select a region and press the highlight box button, to cause a highlight box to be created instantly around selection.

· Remove all orphaned .object files now - see Transparency help.

· Use Antialias when editing (slow) - Antialiasing smooths the lines of arrows and boxes, but it slows down rendering. Check this to have it applied all the time.
· Use Antialias when saving - Check this to apply antialiasing of objects only at the time of save.


Blur Effects

The easy to use Blur/Dim/Grey effects are some of the most useful effects in Screenshot Captor.

Use the Blur INSIDE button [ [image]] or menu item to obscure details that might be sensitive, like credit card info:

Use the Blur OUTSIDE button [ [image]] or menu item to bring attention to certain regions by blurring the rest:

From the SpecialFX menu you can try not just BLUR but also DIM and GRAY as different ways to modify background and bring attention to certain areas.


Border Effects

Screenshot Captor can create some nice looking border effects around your image:

1. Simple Border Around Image - Inside - Adds a border inside the image, so image size does not change but blank border covers extremes of image.

2. Simple Border Around Image - Outide - Adds the border around the image, so image size increases slightly.

3. One Pixel Black Border Top and Left - Adds a border line only to top and left sides; useful for many Windows dialogs which already have a blank line bot bottom right.

4. Deluxe Black Border Around Image - Image size increases as border is added.

5. Deluxe White Border Around Image - Image size increases as border is added.

6. Thin Black Middle Line Around - Image size increases as border is added.

7. Thin White Middle Line Around - Image size increases as border is added.


Caption Dialog

The Caption function provides a simple way for you to add an EDITABLE caption to your image:

You can bring up the Caption function from the Objects Menu or the Caption Button on the Toolbar.

Sample result:

becomes:

NOTE: The caption is added as a text box - you can then switch to Object Mode and edit it to change text, font, color, etc.


Color and DPI Operations

From the SpecialFX Menu you have two Dialogs for adjusting various color and other settings.

First there is the Color and Transformation Dialog, where you can perform color corrections and special effects:

Then you have the DPI afjustment Dialog:

From here you can change the color depth of the image, and the DPI (Dots-per-image) used for printing.


Creating Thumbnails

Screenshot Captor has some powerful functions to help you easily make small thumbnail images that look nice.

There are a lot of options in the Thumbnail Maker dialog.

· Presets combo box - allows you to select from common sizes.
· Preserve Aspect Radio - says to maintain the width x height ratio when resizing.
· "But Stretch Up To" - allows an exception to the Preserve Aspect Ratio in order to fit the desired target size if only a few pixels are needed to do so (useful for achieving a target size).
· Enlarge if Smaller - will enlarge the image to meet the desired size.

· Visual Embelishments - lets you set Border Options and Shadows.
· "Keep within Size Bounds" - if checked, then the thumbnail will be constrained to target size AFTER the effects are applied (otherwise effects may create a size larger than thumbnail target size).
· Smoothing Filter - can be used to customize the resizing algorithm (for more info see here; very small images can look blurry with some filters).

· File Suffix - this suffix will be added to the base filename when creating thumbnail files.


Resizing Your Image

Screenshot Captor gives you various ways to resize your images:

· Presets - as usual this gives you a quick set of common settings to choose from.
· New Image size - Here you can set the desired size in pixels or percentage.
· Preserve Ratio - Check to ensure height and width radio does not change.

· Smoothing Filter - can be used to customize the resizing algorithm (for more info see here; very small images can look blurry with some filters).

· Quick Border - useful for expanding canvas size (existing image is now on a larger image background).
· Resize Canvas - more flexible way of expanding canvas size and.


Save Changes Dialog

When you close/minimize the program or switch to another image, and there are changes you have made to the current image which you haven't saved, you will see the following dialog (unless you have changed the options to always save changes):

You can select the single option for this operation from the list (it will be remembered for next time), or change the behavior for the future by changing the bottom left combo box.

To change the default options to autosave changes see here.


Understanding Object Editing

One of the special things about Screenshot Captor is that it allows you to create objects like highlight boxes and arrows, that can be edited, repositioned, resized, and deleted after they are added to your image. It does this all behind the scenes, so that you can still work with your image files and use them in other programs without doing anything special.

Object Files:

Screenshot Captor lets you edit objects and still maintain a standard image file by saving an extra file .objects file along side any screenshot image that contains objects. As soon as you add an object to an image, Screenshot Captor creates an .object file which keeps track of the object in the image, as well as the original image which contains a flattened/merged version of the screenshot without objects.

When you want to manipulate objects or add objects in Screenshot Captor, you switch into "Object Editing Mode".

In normal mode, you select rectangular regions of the current image in order to crop, blur, etc.

When you are in object editing mode, you select objects (or groups of objects) with your mouse, rather than selecting regions.

When you are in Object Editing Mode you will see one of the Object buttons on the toolbars depressed:

You can select one of the Object tools to CREATE a new object,

or select the white cursor button to toggle into Object Editing Mode to select and then EDIT an existing object. Press it again to switch back into normal mode.

When there are objects in a screenshot, the white cursor button will show a red O to remind you there are object available for editing.

When you select an object, or click an object tool button to create a new object, a panel will pop-up on your right with parameters for the object.

See the other subsections of this help section for detailed information on the different object tools.

You can also Ctrl+C and Ctrl+V to copy and paste objects.


Highlight Region Objects

You can highlight a region with a box or a circle, and the colors of your choice.

Set the transparency to your liking.

It's common to also want to BLUR or DIM the area OUTSIDE of the highlight box as well (see here).


Arrow Objects

Draw an arrow from the endpoint position to the distal location.

If you like you can specify an optional text caption to be added to the endpoint. Simply delete the text to remove the text box.

You can customize the color and thickness of the arrow.

There are also quite a few arrow clipart objects you might want to try as well (see clipart).

When you EDIT an existing arrow you can click on one end to move the endpoint, or in the middle to move the ENTIRE arrow.


Text Box Objects

Use a Text Box to add information to your screenshots. You can customize the font, color, and alignment.

If you want to add unicode text (chinese, etc.) you can use the special Unicode Image Maker tool.


Clipart Objects

Screenshot Captor lets you put resizable movable clipart objects on your images in a very easy way.

Just select the clipart object button and browse through clipart images to find the one you want, and then DRAG and DROP it from the clipart browser to your screenshot where you want it.

You can then move and resize it at will (hold the ALT key while resizing with your mouse to preserve the aspect ratio).

You can flip and rotate clipart after it is on the image.

Clipart is organized into categories (subfolders of the Clipart directory), which you can filter using the top combo box.

NOTE: You can add your own clipart images either by setting a custom clipart directory in the options, or simply copying new clipart into the clipart subdirectory of Screenshot Captor, where it will be located automatically. Transparent images are supported.


Caption Object

The Caption object button just creates a text box and enlarges the image borders.

See here for more information.


Frames and Masks

Screenshot Captor supports some advanced frame images and "Masks".

A frame is just an image with a transparent center, which is scaled automatically to cover the entire image.

Double click on a frame to apply it (any existing frame will be replaces).

You can also CLEAR the frame at any time if you change your mind.

A mask is slightly more complicated - it defines a region of the image which is FORCED to be transparent. It is simple black and white image, with black definining transparent region.

Frames and Masks are stored in the Frames subdirectory of Screenshot Captor folder, and again you can add your own custom ones.

An advanced use is to create a frame with an accompanying mask file. You will see an example in the Frames\Frames subdirectory:

RaggedBR2.png

RaggedBR2.png.mask

Selecting this item will apply BOTH the frame and mask, and can be used for special ragged frame effects:

The default frames and masks that come with Screenshot Captor are lacking. We welcome new frames and masks submitted from users..


Recommended Add-on Tools

Here are some useful free programs that you might want to add to your tools menu to work with Screenshot Captor:

ColorCop - http://www.datastic.com/tools/colorcop/

· pick colors from screenshots - great tool

Magnify - [built into windows]

· windows comes with built in magnify tool C:\windows\system32\magnify.exe, which you can simply add to your tools configuration in screenshot captor for easy use.

Blat - http://www.blat.net/

· Open Source commandline tool to send email via smtp or post to newsgroups.

Commandline FTP Tools

· JGPaiva's FTP uploader - http://www.donationcoder.com/Forums/bb/index.php?topic=3461.0


Configuring and Using Custom 3rd Party Tools

Screenshot Captor provides a custom menu where you can configure external tools to use with Screenshot Captor.

(thanks go to Murariu Alexandru's EasyMenus component which implements most of this functionality).

You can bring up the tool configuration dialog from the main Tools Menu:

You can add simple tools that don't work on files easily, but special functionality exists to help you interface with screenshot images in other programs.

The tool configuration dialog looks like this:

NOTE: You will probably need to enclose your filename in doubleqoutes.

IMPORTANT:

It's very important to understand how Screenshot Captor handles screenshots with objects.

If your screenshot uses objects, then Screenshot Captor will do some special things in order to let you edit the image in some other program without disturbing the objects on it.

It does this by saving the file WITHOUT objects, and then reloading the changed image and readding the objects to it.

For example:

But sometimes this is not what you want - for example if you want to ftp a file, then you will not want the image file sent without any objects - you will want a "flattened" file provided to the tool, with all objects saved directly to the image before running the tool.

In this case, you need to use the "%tmpfile%.EXT" macro. For example:


Unicode Image Maker

Unicode Image Maker is a special tool for creating editable "images" from unicode text, which can be used with Screenshot Captor to create editable foreign text boxes:

To use Unicode Image Maker with Screenshot Captor, download it from DonationCoder.com:

http://www.donationcoder.com/Software/Mouser/UnicodeImageMaker/index.html

And then configure its install location on the File Options Tab.

Once configured you can add new Unicode Image Text Boxes from the Edit Menu, and edit them at any time by double clicking on them.


Capturing Images from Movies and DVDs

When you play back movies or DVDs on your computer, the computer often uses a special mode to display the movie made for super efficiency, which can make capturing screenshot images result in a black region where the picture should be.

This causes people much confusion.

If you want to capture images of movies in your media player you have 2 choices.

· Use a media player program specifically designed with a built-in screenshot funciton.
· Turn off (temporarily) the "hardware/video acceleration" option in your media player (then exit and restart it). This should allow you to take screenshots. Most media player programs have an option for this somewhere.

See http://www.donationcoder.com/Forums/bb/index.php?topic=3360.0 for more discussion.


Drag and Drop Damn It!

Screenshot Captor uses the Drag and Drop functions of windows liberally.

Want to add a screenshot into an email?

Just drag and drop it from the thumbnail window into your email message.

Have an image you want to add to your current screenshot as an object/watermark?

Just drag it from your file explorer on top of the current image.


Miscelaneous Tips and Tricks

Here's a collection of various tips and tricks for using Screenshot Captor:

· Hold down the Ctrl key while selecting a directory from the MoveTo menu to COPY files to the directory instead of moving images to it.
· Hold down the Shift key while selecting a directory from the MoveTo menu to SWITCH into that directory instead of moving images to it.
· Good guide to choosing between resampling/resizing filters: http://www.avlandesign.com/graphstudio-info-filter.htm.
· If you have to draw lots of arrows or place lots of objects, you might want to change the default behavior of the program and UNCHECK switch into object selection mode after adding a new object.
· Remember that you can quickly rename a file and change file format by simply typing a new name in the FileName box and hitting enter (learn more).
· If your PNG images are not showing transparency properly in your target program, use the "Merge Background Transparency" option before saving.
· Hold down the ALT key while resizing an object to preserve the aspect ratio.
· You can also Ctrl+C and Ctrl+V to copy and paste objects.
· Hit Ctrl+Q to delete the current image.
· Use the arrow keys to nudge the current selected area by one pixel, hold shift to change size by one pixel, hold ctrl to change size symmetrically.

Do you have more tips and tricks?

Submit them to the Screenshot Captor Form: http://www.donationcoder.com/Forums/bb/index.php?board=34.0


Renaming Files and Writing Comments

Screenshot Captor has a powerful way to automatically name screenshot images at the time of capture.

But of course you will often want to give screenshots custom names after you decide which ones you want to keep.

You can do this most easily from the bottom panel:

In the first field is the name of the current file. It will be automatically filled in based on your filename template at the time of capture.

· At any time you may type in a new name for the screenshot file and hit enter, and the file will be RENAMED with the new filename (the original file extension will be kept).
· You can also actually change the file format as well from this interface, by specifying an explicit file extension, like mynewname.gif to delete the original file and save a new one in gif format.
· If you want to keep your original file, you should use the "Save As.." menu item in the File menu or on the toolbar [ [image]].
· To simply save a new version of the file quickly while preserving the original, use the "Save As New Version" menu item or toolbar button [ [image]].

Below the Filename field is a Comment text box where you can write comments that will be embedded in the image file.

· Press the clipboard button [ [image]] to copy the current image path to the clipboard.


Understanding Object Files and Image Files

One of the special things about Screenshot Captor is that it allows you to create objects like highlight boxes and arrows, that can be edited, repositioned, resized, and deleted after they are added to your image.

It does this all behind the scenes, so that you can still work with your image files and use them in other programs without doing anything special.

The way it does this is by saving an extra file .objects file along side any screenshot image that contains objects.

As soon as you add an object to an image, Screenshot Captor creates an .object file which keeps track of the object in the image, as well as the original image which contains a flattened/merged version of the screenshot without objects.

There are several options for telling Screenshot Captor how to work with such object files:

We currently recommend against using the first option "Save as TIFF File - preserve object editing", because it seems to have trouble saving some objects inside the TIFF files.

And if you choose the second option, Save in Origina format, no .object files will be saved and objects will not be editable after saving.

By default any orphaned .object files are removed each time Screenshot Captor is started, but you can manually force the deletion of all .object files on demand.

For more discussion on these options, see the Option Configuration Tab help.


Working with Transparency

Screenshot Captor is capable of working with images that specify some true "transparency"

True transparency means that if you place the image on top of another image or background, the stuff behind the image in the transparent images will show through.

When you create a shadow on a screenshot image, Screenshot Captor generally adds the shadow with true transparency.

However, not all file formats for images support true transparency.

If you save a file in a format that doesn't support transparency (like .jpg), then Screenshot Captor needs to "merge background transparency" by drawing in some background color.

By default this background color that will be merged in (or flattened) is white, but you can change it.

The recommended file format used in Screenshot Captor is .png, which does support transparency.

Unfortunately, Internet Explorer versions 6 and lower do not support png transparency properly. Because of this, you will frequently want to Flatten/Merge Background transparency before finally saving a file with shadows.

You have various ways to configure the merging/flattening of transparency:

You can merge transparency on demand from the Objects Menu:

You can also configure the default way transparency is handled from the Objects Configuration Tab:


Help with Too Small/Big Images Pasted into MS Word or Mail Program

See this post on our forum for an explanation of this problem.

The problem you are posting about has been mentioned before and should be fixed, if you do the following:

go the options -> general settings tab, and for DPI put 72. The lower the DPI, the bigger the image will appear in programs like Word.

Note that any images you grabbed before changing the DPI will still have the old DPI so you need to manually change their DPI from the menu if you want to fix pre-existing screenshots.


Commandline Options

you can specify some commandline options for Screenshot Captor:

-maximize

-minimize

-show

Pass a directory name in double quotes on the commandline to specify a starting screenshot directory.


Version History and ToDo List

Version History

v2.44.01 - November 3rd, 2008

· Fixed bug where the copy-to-clipboard button on bottom was being hidden.

v2.43.01 - October 5th, 2008

· Improved detection of non-traditional window skins, and better edge detection for skinned windows (for example capturing bblean-skinned windows).
· On launch of a second instance the user is now shown an explanation of how to activate the already running instance from the system tray.
· Clicking the save+ button now increments the _ver00# suffix instead of resulting in _ver001_ver001 type chains.
· Added a few commandline options to control how SC is started (-maximize, - minimize, -show)'
· Print options are now saved between runs.
· Added bmp file format to default file format list.
· Added Portable mode support (edit the configdir.ini file and add line PORTABLE=TRUE); when enabled no system files or any files outside of the program directory will be written

v2.42.01 - August 3rd, 2008

· Statusbar file size updated on save.

v2.41.01 - August 1st, 2008

· Rebuilt with latest version of ImageEn library -- graphics operations run faster (especially shadowing operations -- yay!)
· Working with UnicodeImageMaker was broken again -- fixed now: text is remembered within bitmap objects.
· Support for WindowsX64 bit.
· Modified parsing of configdir.ini for better use of ScreenshotCaptor on portable drives.
· Hopefully improved auto sorting with latest images at bottom of thumbnail list (this seemed to break in earlier version).
· Bottom panel can now be hidden completely by resizing it to 0 height.
· Added new date formatting options using the $dt:%DATEFORMATSTRING% format.
· Added current browser url to info that gets captured and can be added to image comments.
· You can now use %comments% in an email template to include screenshot comments.
· Delete button now triggers a disableable confirmation dialog.
· Completely revamped the options dialog.

v2.37.01 - 10/5/07

· Setting the option to auto print on capture no longer displays print preview dialog.
· Print option settings are now preserved between runs.
· Select-All wasn't working properly on big images.

v2.36.03 - 9/28/07

· VistaFix: Another bugfix to prevent the license key from being lost after exit. sigh.

v2.36.01 - 9/22/07

· Fixed broken select of active window -- it wasn't saving and loading properly from saved files.
· VistaFix: Updated license key system to save license keys in subdirectory of User Documents directory.
· Added a small delay to try to fix problem where menu-triggered captures were leaving display artifacts of menu on screen (please report if not fixed).

v2.35.01 - 9/04/07

· Changed default DPI to 96 (bigger images when pasted into MS WORD, see here and here).
· BugFix: Text Memo's were having a weird text background color effect.
· VistaFix: The default configuration and screenshot directory is now in User Documents directory.
· BugFix: Fixed minor bug in post-capture processing could cause problems with portrait size monitors.

v2.34.01 - 9/01/07

· VistaFix: Better capture of vista aero glass rounded windows
· VistaFix: Better checking for if screenshot directory is writable (and figures out an alternative if not); good for dealing with vista evilness.
· VistaFix: ScreenshotCaptor now explicitly avoids all evil Vista virtualization (see my post here).
· VistaFix: Default screenshot folder on vista is now in user profile.
· VistaFix: Installer no longer offers to run program after installation due to more vista uglyness.
· BugFix: Sometimes the entire screen was being pre-selected after a capture.
· MinorFeature: Added more magic wand selection modes (See Edit->Selection Mode menu)

v2.33.01 - 8/13/07

· Added support for Update Checking
· Saves file before sending via email
· SMTP password for sending email screenshots is now hidden under * in options.
· Updating the image component for lots of minor efficiency and appearance tweaks (thanks to www.hicomponents.com)
· Fixing nudge/modify selection hotkeys (arrow keys with ctrl, shift)
· Fixed Unicode Image Maker support, which seems to have been broken recently.

v2.32.02 - 4/13/07

· Added main screen checkbox to hide screenshot panel entirely (use Ctrl+H shortcut to toggle also).
· Trying to improve screenshot thumbnail refreshing.
· Selects last screenshot when you delete current screenshot.
· Fixed rare RichEdit error message.
· Save+ version save now reports saved file name in statusbar.
· Attempt to fix weird taskbar initial display on startup.
· Added quickie email dropdown in post-cap popup dialog.
· Added subject to email sendto menu.
· Fixed bug where tiny window was displayed on first capture if you have pop-up capture form enabled.

v2.31.01 - 4/02/07

· Default DPI setting is now honored even from SaveAs in popup form.
· Escape no longer minimizes Screenshot Captor.
· Added hotkey for deleting all screenshots (Ctrl+Alt+D).
· Attempting to improve thumbnail refreshing errors.

v2.30.04 - 2/09/07

· When copying and pasting to programs that support DPI information, Screenshot Captor now honors the DPI settings in options (solves bug where images were small when being copied and pasted into outlook, etc).

v2.30.02 - 2/07/07

· VISTA compatible
· Current image/screenshotdirectory now shown on titlebar
· Autoselection of active window fixed.
· The border type combobox inpreferences was swapping inside border with outside border.

v2.29.02 - 1/30/07

· ScreenshotCaptor will now properly crop non-rectangular windows automatically (and also properly select non-rectangular active windows in full screen captures for dimming effects, etc.)
· Speeded up new capture displays by avoiding a redundant image file re-load.
· Should display much better on screens with large fonts.
· Escape no longer minimizes the window.
· Selection size in statusbar was off by one, file sizes were slightly off.

v2.28.06 - 12/13/06

· Added option to disable auto creation of the MyJunk folder.
· MyJunk folder now ONLY gets autocreated on startup, not every time you switch to MyJunk folder, and on demand if user tries to move files into it.
· Switches back to normal rectangular selection mode after new capture.
· Added optional toggle visibility hotkey.
· If moveto folder doesnt exist, moveto operation is ignored.
· Hold Shift in MoveTo menu to switch to the target dir instead of moving; Hold Ctrl to switch after moving.

v2.28.05 - 11/28/06

· Selection is cleared after cropping.
· Minor updates to help file.
· Status bar size display updated after resize.
· Copy image to clipboard on capture now works even if "don't autosave" is checked.
· When you change to "preserve ratio" in resize box, the ratio is instantly fixed.
· Including XP Manifest from Greg at www.GregLand.net.
· Added non-rectangular selection modes (good for cropping/blurring/shadows).
· Added SendTo menu for easily sending screenshots via email.
· Hopefully fixed bug where MS Multimedia keyboard special keys were triggering screenshots.
· Changed resize tool button to a drop-down list with common preset sizes.
· Fixed occasional error on manually setting font sizes of text memos.
· Added small margin to text memo boxes.
· Fixed bug where black text memo borders were not showing.
· Fixed bug where overwrite confirmation form previous setting was not being remembered.
· Fixed a few cases where changes to file weren't marking the file as dirty.
· New option to control how much working memory is used when program is minimized; can be useful in tradeing off fast wake-up vs. minimal memory use when minimized.

v2.27.01 - 11/23/06

· Screenshot directory will be recreated if possible if it is missing on startup, before switching to default directories.

v2.26.04 - 11/08/06

· Major update of Graphics Component (ImageEn) should result in faster image file loading.
· Fixed issue of expanding config directory directives (%MyDocuments% etc.)

v2.25.04 - 10/11/06

· Post-capture Popup uses filter configured in main options.
· Auto-created MyJunk folder in Screenshots directory.
· Fixed bug which could cause crash if you tried to do repeated captures while the postcapture form was still visible.

v2.24.02 - 10/02/06

· Help item added to tray menu
· In post capture popup, if you select "keep image and show", it will skip autosaving if you have autosaving disabled in options.
· Fixed bug where discarding image would still copy path to clipboard (and end up saving image) if copy to path on capture is checked.
· Escape now cancels popup capture form and discards image.

v2.23.02 - 9/28/06

· Added ConfigDir.ini file for customizing the location of your settings/config files

v2.21.03 - 9/20/06

· Fixed bug with ini file saving floats in locale specific incompatible formats

v2.21.02 - 9/18/06

· Major addition: New non-automatic save option for new captures (new captures overwrite old until you save).
· Added icons to popup dialog.
· Added thumbnail option to popup dialog.
· Added some popup options to main options dialog.
· Fixed bug where minimal png compression yielded giant files.
· Added thumbnailer options button to main options dialog.
· Added thumbnailer option to copy image to clipboard.
· Escape now minimizes window.

v2.20.02 - 9/11/06

· Added custom border type for autoborder on capture (see Effects Tab)

v2.20.00 - 9/10/06

· Big Addition - New Option to use a Post-Capture Popup dialog with commands for print, saveas, DISCARD, copy-to-clipboard [thx mtemp].
· Now remembers if last visible condition was maximized [thx xcopy].
· Added right-click menu item to change post capture mode.

v2.18.04 - 7/21/06

· Minor fixes to help file
· Fixed bug where some settings (thumbnail options) were not being saved on exit.

v2.18.03 - 7/05/06

· Added option to not auto-rename on new capture
· Added delete file item to File menu and hotkey (NOW Ctrl+Q)
· Added help entry about deleting images you dont want (What if I don't want to keep the capture?).
· Updated scrolling capture - much improved (but still not perfect)
· Added relative file path support in MoveTo menu
· Added MyJunk default folder in MoveTo menu on first install
· Testing code to properly handle dif scrollbar sizes on different machines during scrolling capture.
· Removed ghosting grid borderlines when scrolling capture in Internet Explorer [THX JOTO]

v2.15.01 - 5/14/06

· Full help file now available and up-to-date (woot!).

v2.14.02 - 5/12/06

· Started filling in the new help file outline
· Added "discard changed to file" menu item.
· Fixed typo in edit menu.
· Added function to ceate new blank image file
· Added function to create new image file from clipboard
· Copy path to clipboard now forces save of dirty file first
· Added right+ctrl hint to windows object capture menu
· Trying to fix a bug where Toolbar2k menus cant be windows-object-captured

v2.13.02 - 5/10/06

· Fixed bug causing error message (sometimes below window and thus invisible) if you have no active window and have an option to autoblur on capture.

v2.13.01 - 5/09/06

· Option to copy file path to clipboard on capture
· Tray menu added to copy file path to clipboard on capture

v2.12.02 - 5/05/06

· Scrolling window capture in internet explorer was showing gaps in stitching.

v2.12.01 - 5/04/06

· Added copy path to clipboard option in thumbnail form.
· Added fast thumbnail maker button on toolbar.
· Added copy path to clipboard button near filename on bottom panel and in edit menu.
· Upgraded key+mouse capture dlls to avoid false virus alarms.
· Adjust image to what I see Edit menu option
· Added scrolling window capture text to menus
· Fixed internet explorer scrolling window capture losing bottom pixels when no horizontal scrollbar was visible.
· Attempt to fix screenshot directory reverting to / after long delays.
· Added help page on capture modes thanks to HamRadio.

v2.11.04 - 2/28/06

· It seems that some antivirus programs are giving false alerts on the dll used in Screenshot Captor to monitor the keyboard in the new Red Box Object Capture Mode. The keyhook.dll file is now compressed to try to avoid these annoying false alarms. We will recompile the dlls and try to avoid the alert if it persists. If you get such a warning it is safe to ignore it.

v2.11.01 - 1/25/06

· [new feature] added options in preferences, resizedialog, and thumbnail dialog for customizing the resizing filters used, which can be useful to control smoothing during resizing.

v2.10.01 - 1/25/06

· [bugfix] vertical lines corruption on new captures was occuring after applying simple border (strange bug, thanks to db at bitsum technologies for helping to locate this).
· [bugfix] trying to fix problem where redbox capture seems to not show properly on secondary multimonitor monitors.
· [new feature] companion commandline capture program MiniCap released on donationcoder.com website.

v2.09.08 - 1/12/06 - Major release

· New Red Box Capture mode supports scrolling window capture, new region capture, etc.
· Delete this image item (Move menu).
· New thumbnail maker (File menu).
· Copy text from standard textbased windows (dialog box, etc.) to clipboard from redbox object mode.
· Text from captured objects now available for image comments (%scrapetext%).

v2.07.01 - 12/22/05

· [new feature] quick adjust clipart image size percentage
· [new feature] menu option in main menu to capture screenshot captor window itself.
· [new feature] cancel button on options dialog.
· [new feature] you can set default DPI for screen captures.
· [bugfix] wasn't saving options on system reboot.

v2.06.03 - 12/7/05

· [bug fix] Hopefully fixed error message shown when shuttingdown/restarting computer.

v2.06.01 - 12/6/05

· [improvement] You can now use '.' in filenames.
· [improvement] License key dialog improved.
· [improvement] Changed default hotkey for capture windows object.
· [improvement] Better crop button icon from Stefan (thx!).
· [new feature] Last windows state (max,min) is now restored.
· [new feature] You can change bit depth (truecolor, 8bit) of images.
· [new feature] You can change default bit depth (truecolor,8bit) of new captures.
· [new feature] Double clicking in image when there are objects switched to object mode.
· [new feature] New smoothing options.
· [bugfix] Settings were not being saved on windows reboot.
· [bugfix] Blank directories after changing directories.

v2.05.01 - 11/13/05

· Total support for Unicode Image Maker tool (http://www.donationcoder.com/Software/Mouser/UnicodeImageMaker/index.html)

v2.04.07 - 11/11/05

· [improvement] copying image/region to clipboard now copies object graphics too.
· [improvement] nice new transparency sliders.
· [new feature] select regions around objects command added to Objects menu.
· [new feature] added Ctrl+O shortcut to toggle in and out of object mode.
· [new feature] hotkeys for gowing+shrinking selection (shift, crtl arrow keys, ctrl +/-)
· [new feature] escape key kicks out of object mode.
· [new feature] system tray menu item to disable all hotkeys temporarily.
· [new feature] option for inverting mouse wheel.
· [new feature] option for adjusting mouse wheel zoom speed
· [new feature] timed auto capturing!
· [change] clipart objects are scaled only if bigger than 95% of image dimensions.

v2.03.10 - 11/09/05

· [bugfix] once clipart objects were rotated they couldn't be moved.
· [bugfix] filenames with '.' character in them were confusing the program and causing error messages.
· [bugfix] tried to fix problems some were having with screenshot path reseting to C:\ - if you still get this please report on forum!!!
· [improvement] improved text of template help.
· [improvement] hotkeys now disabled when showing options.
· [improvement] menus now properly list Ctrl+C and Ctrl+V shortcuts, and some others.
· [improvement] better auto-reselecting of current file after folder operations.
· [improvement] save as dialog now synchronizing file type and default extension.
· [improvement] clipart object and drag+drop objects are scaled properly to fit image if too big.
· [improvement] regions are selected automatically for blurring etc. when an object is selected.
· [improvement] fit and stretch now leave some border room.
· [new feature] baloon tooltip on capture option.
· [new feature] you can specify path or filename on commandline to load that folder/file.
· [new feature] flip horiz/vert buttons for clipart objects.
· [new feature] repeat capture hotkey/function for same region as last capture
· [new feature] + and - keyboard shortcuts for zoom in and out.
· [new feature] added "expand canvas to fit objects" menu item (in objects menu).
· [new feature] added option to disable antialiasing on save, and disable the lores display used to speedup moving objects.
· [new feature] added option to enable antialiasing when editing (looks better but slower).
· [new feature] cursor keys can be used to "nudge" selected objects
· [new feature] cursor keys can move the current selection mask (hold shift to expand)
· [new feature] object selection tool changes picture when there are objects available to manipulate..
· [new feature] save current selection to new file (Alt+Shift+S).
· [new feature] deletion of screenshot files now sends them to recycle bin.
· [new feature] hint on first minimize so people realize it's in tray.
· [new feature] image files dropped or Ctrl+c Copied on image now are placed where they were dropped (at cursor loc).
· [new feature] you can drag and drop clipart objects to where you want them (or out of program or into thumbnail directory).
· [new feature] you can now drag image files into clipart directories.
· [new feature] you can now delete files from clipart directories.
· [change] if you double click a clipart object while another is selected in the image, you will replace existing with new.
· [change] blur outside button now does only blur outside (not blur, grey, dim).
· [change] manual save (Ctrl+S) always overwrites without confirmation now.

v2.02.02 - 10/25/05

· Great new clipart objects and better organization of clipart [thanks Stefan!]
· New save+ toolbar button and file menu command for quick saving of file as a new file with version number added [idea courtesy of brotherS]
· [bugfix] Fixed bug in zoom window (not showing bottomright pixels) [thanks brotherS]
· [bugfix] Multi-selected regions (selected using shift key) were being lost after "blur outside" functions are used [thanks brotherS]
· New option controls whether to save object file when performing a SaveAs outside of screenshot directory.
· MouseWheel zoom now zooms with focus at current mouse position
· MouseWheel zoom now zooms faster.
· MouseWheel zoom will uncheck AutoFit automatically if its on.
· [bugfix] AutoFit checkbox setting was not being saved.
· Operations requiring bitmap selection (blur, etc) now can be called when in object mode.
· Preview is on by default now in color adjust.
· Selecting clipart objects now shows relative path in statusbar.
· Timer and Capture Cursor options were not being accepted when selected from main menu (as opposed to options dialog)

v2.01.07 - 10/11/05

· Simple border was not updating screen immediately after applying border.

v2.01.06 - 10/11/05

· Added (optional) cursor zoom panel
· Added Stretch button on top row (enlarges images to fit)
· Fixed bug where resize dialog when you change Y then X is not updated properly
· Fixed loadup efficiency
· Improved save confirm dialog text

v2.01.01 - 10/8/05

· added "delete all screenshots" to MoveTo menu
· fixed bug which sometimes resulted in startup not selecting last image [thx brotherS]
· you can now drag and drop images onto the image window to have them added as objects
· added file command to add external image file as object
· substantial change to the way SaveAs is handled - it now starts with current image/default compression settings but can be overridden

v2.00.16 - 10/07/05

· still was lingering bug saving certain masks in jpg format (saved as black and white); fixed.

v2.00.15 - 10/07/05

· image comment panel is now fixed size during resizing
· fixed bug causing some masks to result in black+white or non-transparent saves
· added Delete All Images to File menu.
· trying to fix problem introduced with the new tooltip capturing mode, that messed up capturing on win9x machines
· clears image if current file is deleted/moved [thanks Carol]

v2.00.14 - 10/07/05

· Screenshot Captor now captures tooltips and semi-transparent windows.
· Capturing cursor sometimes misplaced cursor - fixed! finally!!
· You can now copy and paste sections of screenshots as movable bitmap objects (very useful for picture-in-picture type effects).
· Browse for clipart directory button in options, and text on browse for tool dialog fixed [thx stefan].
· You can now copy and paste objects.

v2.00.12 - 10/01/05 (brotherS bugfix edition)

· Displays warning when trying to perform operations that require selection (e.g. Crop) and no selection has been made.
· Addded options for forcing background transparency merging (always or onsave); this lets you decide whether to use the image file format transparency feature (for png and gif images), which can look ugly sometimes, or whether to simulate it in the image using the current background color.
· Changed highlighting tool text and icon to make it more clear that it was for drawing highlighting rectangles+circles.
· Moved highlight shape button to top of hightlight shape panel.
· On minimization the application always asks to save if the file is dirty.
· If you do a SaveAs into main Currently viewing directory, the Saved file is loaded as current file.
· Start and End arrow checkbox meaning were reversed.
· No longer restores from minimization on exit.
· After renaming files with F2 in shell window, they are now selected.
· No longer grabs PrtScr and other hotkeys if they are set to do nothing in Options dialog [thanks CarolHaynes].
· Added color depth change and DPI change dialog.
· Ctrl+Z and Ctrl+Y for undo/redo now works even if you are in shell browser panel.

v2.00.11 - 9/22/05

· Added Print button to toolbar
· Added deluxe border command
· Instead of border inside/outside being in options, its now choice in command menu

v2.00.10 - 9/18/05

· Added clipart from Stefan and uploaded extra frames pack from stefan.
· Selecting clipart or frames shows filename in statusbar.

v2.00.09 - 9/9/05

· Frame applications could cause access faults (hopefully fixes)
· Startup was using more memory than nescesary.
· Startup was showing item in task bar.
· Added a sample of a frame+mask combo (ragged right bottom edge).

v2.00.06 - 9/5/05

· Tools can now be invoked on flat (object merged) temporary image files in the format they prefer by specifying parameter %tmpfile%.jpg or .png or whatever.
· Some object operations were not marking file as dirty.

v2.00.05 - 9/4/05

· Deluxe Resize Dialog (Ctrl+G shortcut) now lets you do preview, specify how to grow each side of image - much much better. This should make it quite a bit easier to resize images to fit perfectly in picture frames.

v2.00.03 - 9/4/05

· default settings for objects tweaked
· added prview/cancel to resize dialog
· adding new resize method

v2.00.03 - 9/3/05

· Clipart directory was not installing properly.
· Frame transparency was not adjustable
· Added commands to merge objects into background
· Print command now prints objects
· All text size, linesize object options are now adjustable by convenient quick sliders ( thanks to Brain Mitov's BMSlider component http://www.mitov.com/ )

v2.00.01 - 9/3/05

· Full object editing support (highlight regions, memo boxes, clipart, arrows), and you can edit objects AFTER saving the file.
· Implemented Picture frames
· Implemented Masks (like edges, picture frames)
· Added clipart browser
· Active window region saved in metadata of file
· Added option for whether to re-select active region on file load
· Save Now forces save even if it doesn't think file is dirty
· Moving/resizing/editing objects marks file as "dirty"
· Added fix for undo/redo object position moving
· Implemented .tiff embedded objects
· Implemented external .object files
· Implemented smart replacement of objects when launching external editors and tools
· Added file saving message
· Caption add function (+button)
· Special thanks to stefan and carolhays for help+suggestions on the donationcoder.com forum.

v1.02.07 - 8/27/05

· confirm on overwrite was not working with default filename settings because of space added to front of filenames with default template.
· default template was causing a space at front of filenames when the quickfield is blank (spaces now trimmed)

v1.02.06 - 8/26/05

· bugfix - license dialog sometimes locked up due to another modal form being on top of it (thank you bill gates)
· bugfix - advanced options in save dialog were not working.

v1.02.05 - 8/23/05

· added support for new license keys
· it will show up as being used for first time with this version

v1.02.03 - 8/20/05

· hotkey text on menu was reversing alt+shit prtscr hint with ctrl+shift prtscr

v1.02.02 - 8/19/05

· added color modification effects dialog to SpecialEffects menu
· added redo support
· improved resize dialog to make it easier to add even borders
· moved options button on toolbar to top
· added autoprint option to OnCapture tab
· added support for deluxe universal donationcoder license keys
· improved about box
· hold ctrl key down while selecting item from MoveTo menu to navigate to directory instead of moving to it
· special thanks to Stefan on the donationcoder.com forum for so many useful suggestions!

v1.01.32 - 8/17/05

· added info messages to tell user they need to select a region before some tools
· eliminated annoying slowness and flicker when selecting multiple files in file browser
· save-all hotkey changed from Ctrl+A to Ctrl+E to avoid browser select-all conflict
· removed flicker on file loading
· added resize toolbar button
· added options to resize, including toggle for expanding canvas

v1.01.31 - 8/17/05

· improved border tool (pixel precise lines now, and option to go inside or outside image boundry)
· new grid mode when zoom is > 400% plus pixel-precise display at this zoom level.

v1.01.30 - 8/17/05

· added blur inside region to toolbar

v1.01.29 - 8/17/05

· added image border options and command (like shadow it expands image canvas)
· correct image resolution status bar info for cropped images.

v1.01.28 - 8/17/05

· added a bunch of new keyboard shortcuts (see menu for shortcut codes)
· details mode now shows file list at top of form at full width (rather than on left sidebar)
· improved capturing of active window when main form is visible at time of capture
· hints on toolbars
· MoveTo configuration
· Better system tray icon menu
· Improved about box text
· Current screenshot hotkeys now shown in tray icon
· Create New Folder item in menu,

v1.01.27 - 8/17/05

· added new toolbar for quick running of common commands
· started to add new object drawing controls (they are not active yet)

v1.01.25 - 8/16/05

· added lots more template fields
· changed from filename prefix to quickfield
· help on template fields added to help file

v1.01.23 - 8/5/05

· added custom resize dialog.
· fixed the bug which could cause heavy cpu usage when marching ants marquee was showing current selection, even if minimized(!).
· better memory usage for image capture component.
· added ColorCop setup progam to extras folder.
· added submitted ftp commandline interface tool to extras folder (thanks chrono).

v1.01.21 - 7/07/05

· fixed crash when doing an alt+s selection capture but selecting nothing [thanks J.M.Kyoo]
· started adding "Recommended Add-on Tools" section in help file
· moved "autofit" checkbox to right alignment
· added new template field "%windowtitle% which captures active window title.

v1.01.20 - 7/05/05

· only one instance of the program will run at a time (others will automatically close on launch)
· no more separate modes for select vs. scroll, you can now right-click to scroll (drag).

v1.01.19 - 7/04/05

· hopefully the mystery bug causing starting dir to sometimes default to c:\ is fixed.
· splitter positions now saved [thanks Jorge M.]
· restarting after exit from tray caused iconization of application bug [thanks Michael].
· start in tray now works without an initial "flash"
· selection boxes were sometimes getting confused and jumping around [thanks Jorge M.].

v1.01.18 - 7/03/05

· fixed bug causing crashes on some machines when taking new screenshot
· minimize with close button wasnt freeing all memory [thanks Michael]
· fixed bug cutting off zoom % caption
· added "Configure external tools" to tools menu

v1.01.17 - 7/01/05

· faster screenshot capture, and no longer "flashes" screen during capture (which also kicked fullscreen apps out of focus)
· new zoom level trackbar lets you easily zoom to any magnification and see current magnification
· quick zoom level buttons for 50%, 100%, 200%

v1.01.16 - 7/01/05

· fixed memory leak that was using up more and more memory with each screenshot [thanks to Andreas G. for reporting this bug]

v1.01.15 - 6/19/05

· Improved multimon capture functions
· Added new capture method - capture specific sized regions
· Fixed a bug which was preventing system shutdown when screenshot captor was running in tray.

v1.01.09 - 5/27/05

· Removed redundant file loading when clicking on screenshots in browser.

v1.01.08 - 5/27/05

· Png saved files can now save comments just like all other file formats.

v1.01.07 - 5/22/05

· Fixed bug in handling '.' in international dates, which was causing files to not be saved with correct extension on non-english versions of windows, and in most cases causing no file to be saved at all.

v1.01.06 - 5/19/05

· Fixed typos in help file.
· Enabled feathering option.

v1.01.05 - 5/19/05

· Added custom Tools menu which can be used to add any number of custom 3rd party tools.

v.1.00.02 - 5/14/05

· First BETA release

v1.00.00 - 5/11/05

· First internal release

ToDo List

· save print dialog options
·
· allow anchor colors to be customized
·
· save as version should incremeent existing version if found
· make borders of boxes not as transparent as insides
·
· inverting of none selected should select all
· preview of resizing is not changing on repeat previews
·
· Add "restore options to defaults" button
· Window obj capture sometimes getting "stuck on"
·
· auto select app before scrolling win cap
·
· add option to not unload from memory
·
· countdown timer for timed capture.
·
· add option to ask user for filename on each capture.
· add option to do a direct print without print dialog.
·
· add option to always/only flatten in non-object image file
·
· background color colorpicker on toolbar
·
· photoshop plugin support for region - and capture output as a a sync'd overlayed image
· thumbnailing mode for batches of files.
·
· add abandon changes to edit menu
· scale to view scale
· watermarking
·
· save popup box add "save with new name"
· add undo image when merging objects
· adding caption doesnt mark image as dirty
· button for deleting screenshot
· function for copying path to clipboard?
·
· add easy text like current date?
·
· add function to capture its own window.
·
· right-click context menu
·
· Undo of the function "Add Caption to Image" only undoes the addition of the caption area, but leaves the caption text
· activeate existing app on start
·
· autodiscover tools command
·
· advanced blur tool dialog
·
· balloon message with file name on capture
· zoom to selection button
·
· add function to let user set active selection area permanent
· thumbail and details view shouldn't share same splitterpos
· add "copy to" to move menu
·
· auto add %file% to tool config
· command to add a new blank page
· add view -> hide files option
·
· add abort hotkey (also deletses last screencap)
·
· make wheel zoom center on cursor
· drag and drop of files onto page should drop where you dropthem
·
· add button to restore clipart object to its default size.
·
· append one screenshot onto another and auto-expand canvas in a variety of ways
· add special cool "blowup" side-by-side effect
·
· four-corner zoom on crop
· add ability to tell a frame to grow canvas (.canvas file)
· save as default folder should be?
· nudge commands
·
· check for ways to speed it up
·
· fix object dragging (positions wrong)
· fix painting delays
· fix right click pan on object select mode
· fix save transparent to tiff
· add error message on fail to save
· check for too long file names
·
· add auto-caption feature
·
· cursor capture is slightly misplaced?
· add some imagemagick tool commands
· create thumbnail gallery from screenshot gallery
· improve help file
· add support for photoshop and paint shop pro files
· replace shell browser component

Thanks

· Special thanks to everyone on the DonationCoder.com forum who helped in the initial testing of Screenshot Capture, especially Jibz, Tenseiken, Jeffk, and Nudone.
· Thanks to HiComponents for giving me a free license to their awesome ImageEn Components, and Fabrizio for the wonderful support.
· Adirondack Software and BIll Miller for the great and free Apprehend screen capture component (and for working steadily to make it even better!).
· Thanks also to Murariu Alexandru for his wonderful free "EasyMenus" component which handled the Tools configuration.
· Toolbar2k components
· Thanks to Brain Mitov's BMSlider component, http://www.mitov.com/ )


Related Programs and Credits

 Top Previous

There are tons of screenshot programs - maybe you'll find one you like better than Screenshot Captor):

· TNT Screen Capture - http://www.ec-software.com/tnt.htm - shareware
· SnagIt - http://www.techsmith.com/products/snagit/default.asp - shareware (one of the most powerful screen capture programs)
· HyperSnap - http://www.hyperionics.com/ - shareware
· ScreenTheif - http://www.screenthiefsoft.com/atscrth_article.html - shareware
· HandySnap - http://www.wisepixel.com/ - shareware
· GrabCaptureScreen - http://boumchalak.net/ - freeware, looks great
· MWSnap - http://www.mirekw.com/winfreeware/mwsnap.html - freeware
· Screenshot Pilot - http://www.colorpilot.com/screenshot.html - freeware
· ACA Capture - http://www.acasystems.com/en/screencapture/index.html - shareware
· CaptureWiz - http://www.pixelmetrics.com/ - shareware
· Gadwin PrintScreen - http://www.gadwin.com/printscreen/ - freeware
· WinSnap - http://www.ntwind.com/winsnap/index.html - freeware/donationware
· WinCapture - http://www.wincapture.com/ - shareware
· ShotGenius - http://shotgenius.wininizio.it/index_eng.html - freeware
· url2bmp (grab screenshot of browser image) - http://www.pixel-technology.com/freeware/url2bmp/ - freeware
· Fastone - http://www.faststone.org/FSCaptureDetail.htm
· Shup - http://www.shup.com/ - freeware made for uploading to free image hosting sites.
· WebShot - http://www.nathanm.com/index.php/webshot-website-screenshot-capturing/

This program makes use of several Delphi / C++ Builder Components:

Thanks to HiComponents for their great Delphi / BCB ImageEn graphics components; the authors of the free Apprehend component; and Murariu Alexandru for his free EasyMenus component.

Thanks to CarolHaynes and Stefan on the DonationCoder.com Screenshot Captor forum for their help improving Screenshot Captor, and in collecting clipart for the program.